:root{
    --randomPosition : 920px;
    --randomStart : 5s;
}


@font-face {
    font-family: Armageda;
    src: url(assets/font/Armageda.ttf);
}

#music {
    display: none
}

body {
    padding-top: 30px;
    background-color: #c8966f;
    background-image: url("assets/webpage/pattern.png");
}

.nav {
    display: flex;
    padding-right: 50px;
    justify-content: space-between;
    align-items: center;
}

.nav1 {
    padding-left: 50px;
}

.nav3 {
    display: flex;
    justify-content: end;
}

.nav12{
    display: flex;
    align-items: center;
}

.icon {
    filter: sepia(0.7);
    width: 30px;
    padding: 10px;
    background-color: rgba(255, 237, 225, 0.7);
    border-radius: 50px;
    margin-left: 10px;
}

.icon:hover {
    filter: sepia(0);
    background-color: #fff9f8;
    transform: scale(1.2);
}

.sound {
    filter: sepia(0.6);
    width: 50px;
}

li{
    padding: 5px;

}

.sound:hover {
    filter: sepia(0.2);
    transform: scale(1.2);
    cursor: pointer;
}

.game {
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1 {
    font-family: Armageda;
    color: #7B4E3A;
    font-size: 65px;
    z-index: 10;
}

h2 {
    font-family: Armageda;
    color: #7B4E3A;
    font-size: 25px;
}

h3 {
    color: #ffede1;
    font-family: Armageda;
    font-size: 30px;
}

a {
    color: #3f281d;
}

.score {
    font-family: Armageda;
    font-size: 30px;
    background-color: #7B4E3A;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 15px;
    padding-bottom: 10px;
    border-radius: 50px;
    text-decoration: none;
}

a.score {
    color: #dec2b5;
}

.score:hover {
    background-color: #dec2b5;
    color: #7B4E3A;;
    transform: scale(1.2);
}

.credit {
    font-family: Armageda;
    font-size: 30px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 15px;
    padding-bottom: 10px;
    border-radius: 50px;
    text-decoration: none;
}

a.credit {
    color: #7B4E3A;
}

.credit:hover {
    color: #fff9f5;
    transform: scale(1.2);
}


.axe {

    margin-top: -200px;
    padding-bottom: 20px;
}


.container {
    overflow: hidden;
    position: relative;
    height: 450px;
    width: 900px;
    border: solid #F7DBCD 15px;
    border-radius: 30px;

}

.tutorial {
    background-color: rgba(123, 78, 58, 0.85);
    height: 450px;
    width: 900px;
    z-index: 15;
    position: absolute;
}

.pauseMenu {
    background-color: rgba(123, 78, 58, 0.65);
    height: 450px;
    width: 900px;
    z-index: 16;
    position: absolute;
}

.gameOver {
    background-color: rgba(37, 33, 33, 0.95);
    height: 450px;
    width: 900px;
    z-index: 16;
    position: absolute;
}

.spacebar {
    background-color: #ffede1;
    color: #3f281d;
    border: solid 4px #3f281d;
    width: 250px;
    height: 65px;
    border-radius: 15px;
    padding: 10px 0px 0px 20px;
    font-size: 30px;
    font-family: Armageda;
}

.tips {
    color: #ffede1;
    font-family: Armageda;
    font-size: 25px;
    padding: 10px;
}

.sliding-background {
    background-image: url("assets/environement/bg-clouds.png");
    background-size: contain;
    background-repeat: repeat-x;
    height: 450px;
    width: 10000px;
    animation: slideclouds 50s linear infinite;
    z-index: 1;
    position: absolute;
}

.sliding-mountains {
    background-image: url("assets/environement/bg-mountains.png");
    background-size: contain;
    background-repeat: repeat-x;
    height: 450px;
    width: 10000px;
    animation: slidemountains 30s linear infinite;
    z-index: 2;
    position: absolute;
}

.sliding-forest {
    background-image: url("assets/environement/bg-trees.png");
    background-size: contain;
    background-repeat: repeat-x;
    height: 450px;
    width: 10000px;
    animation: slideforest 20s linear infinite;
    z-index: 3;
    position: absolute;
    opacity : 0.8;
}

.sliding-ground {
    background-image: url("assets/environement/ground.png");
    background-size: 20%;
    background-repeat: repeat-x;
    height: 50px;
    width: 10000px;
    animation: slideground 6s linear infinite;
    z-index: 3;
    position: absolute;
    bottom: 1px;
}

@keyframes slideclouds {
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(-1692px, 0, 0);
    }
}

@keyframes slidemountains {
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(-1692px, 0, 0);
    }
}

@keyframes slideforest {
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(-1692px, 0, 0);
    }
}

@keyframes slideground {
    0% {
        transform: translate3d(0, 0, 0);
    }
    100% {
        transform: translate3d(-1692px, 0, 0);
    }
}

.scoreCount {
    position: absolute;
    z-index: 10;
    font-size: 50px;
    color: #ffede1;
    right: 35px;
    margin-top:  20px;
}

.coinCount {
    position: absolute;
    z-index: 10;
    font-size: 70px;
    color: #ffcc63;
    right: 35px;
    margin-top:  65px;
    animation: fadeIn .7s;
}

@keyframes fadeIn {
    0% { opacity: 0;
        transform: translate(0px, 80px)}

    50% { opacity: 1;
        transform: translate(0px, 0px)}

    100% { opacity: 0;
        transform: translate(0px, 0px)}
}



.pause{
    position: absolute;
    z-index: 10;
    font-size: 55px;
    color: #ffede1;
    left: 35px;
    margin-top: 20px;
    cursor: pointer;
}

.pause:hover{
    transform: scale(1.2);
    color: #81ed85;
}



button.playButton {
    font-family: Armageda;
    background-image: url("assets/webpage/pattern2.png");
    font-size: 60px;
    color: #ffefe6;
    width: 200px;
    padding: 25px 50px 20px 50px;
    heigh: 100px;
    background-color: #3f281d;
    z-index: 16;
    position: absolute;
    top: 60%;
    left: 32%;
    box-sizing: unset;
    margin: 0em;
    border-radius: 50px;
    border: solid 5px #3f281d;
    border-image: initial;
}

button.playButton:hover {
    color: #3f281d;
    background-color: #ffefe6;
    cursor: pointer;
    border: solid 5px #3f281d;
    animation: none;
}


.viking {
    position: fixed;
    bottom: 50px;
    right : 200px;
    transform: scaleX(-1);
}

.viking2 {
    position: fixed;
    bottom: -40px;
    left: -30px;
    transform: scale(.6);
}


.credits {
    position: relative;
    padding-top: 20px;
    margin-left: 43%;
    z-index: 1;
}


/*SCOREBOARD*/
.scoreboard {
    transform: scale(0.5);
}

ol {
    margin-top: -1px;
    font-family: Armageda;
    font-size: 30px;
    color: #ffefe6;
}

li::marker {
    color: #7B4E3A !important;
}

mark {
    background-color: rgba(0, 0, 0, 0);
    color: #3f281d;

}

.running {
    animation: run 6s infinite;
    animation-direction: normal;
    animation-timing-function: linear;
    position: fixed;
    bottom: 0px;
    z-index: 3;
}

@keyframes run {
    0% {
        left: -400px;
    }
    20% {
        left: -400px;
    }
    50% {
        left: 1600px;
        transform: scaleX(1)
    }
    65% {
        left: 1600px;
        transform: scaleX(-1)
    }
    100% {
        left: -400px;
        transform: scaleX(-1)
    }
}

.running2 {
    animation: run2 6s infinite;
    animation-direction: normal;
    animation-timing-function: linear;
    position: fixed;
    bottom: 0px;
    z-index: 3;
}

@keyframes run2 {
    0% {
        left: -400px;
        transform: scaleX(-1)
    }
    50% {
        left: 1800px;
        transform: scaleX(-1)
    }
    51% {
        left: 1600px;
        transform: scaleX(1)
    }
    100% {
        left: -700px;
        transform: scaleX(1)
    }
}

/* Game CSS */

@keyframes pulse {
    from {
        transform: scale(1.1);
    }
    50% {
        transform: scale(0.85);
    }
    to {
        transform: scale(1.1);
    }
}

.fe-pulse {
    animation-name: pulse;
    animation-timing-function: ease-in-out;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}

.spawn{
    position: absolute;
    bottom: 10px;
    z-index: 12;
    background-image: url("assets/player/spawn.gif");
    background-size: contain;
    height: 100px;
    margin: 0 auto 0 80px;
    transform-origin: bottom;
    width: 100px;
    transform: scale(1.7);
}


.player {
    position: absolute;
    bottom: 47px;
    z-index: 10;
    animation-duration: 0.8s;
    animation-iteration-count: infinite;
    background-image: url("assets/player/viking_run.gif");
    background-size: contain;
    height: 100px;
    margin: 0 auto 0 80px;
    transform-origin: bottom;
    width: 100px;
}

.jump {
    animation-name: jump;
    animation-duration: 0.7s;
    animation-timing-function: cubic-bezier(0,.14,.91,.99);
}

@keyframes jump {
    0% {
        transform: scale(1, 1) translateY(0);
        background-image: url('assets/player/viking_jump.png');
    }
    10% {
        transform: scale(1.1, .9) translateY(0);
        background-image: url('assets/player/viking_jump.png');
    }
    20% {
        transform: scale(.9, 1.1) translateY(-180px);
        background-image: url('assets/player/viking_jump.png');
    }
    30% {
        transform: scale(.9, 1.1) translateY(-180px);
        background-image: url('assets/player/viking_jump.png');
    }
    31% {
        transform: scale(.9, 1.1) translateY(-179px);
        background-image: url('assets/player/viking_fall.gif');
    }
    100% {
        transform: scale(1.05, .95) translateY(0);
        background-image: url('assets/player/viking_fall.gif');
    }
}



.pig {
    width: 100px;
    height: 80px;
    transform: scaleX(1.2);
    z-index: 15;
    background-image: url("assets/ennemies/pig.gif");
    background-size: 100px 80px;
}

.wolf {
    width: 100px;
    height: 80px;
    z-index: 15;
    transform: scaleX(1.3);
    background-image: url("assets/ennemies/wolf.gif");
    background-size: 100px 80px;
    filter: brightness(115%);
}

.bird {
    width: 100px;
    height: 80px;
    z-index: 15;
    transform: scale(1.5);
    background-image: url("assets/ennemies/bird.gif");
    background-size: 100px 80px;
}

.bird2 {
    width: 100px;
    height: 80px;
    z-index: 15;
    transform: scale(1.5);
    background-image: url("assets/ennemies/bird2.gif");
    background-size: 100px 80px;
}

.coin1 {
    position: absolute;
    width: 50px;
    height: 50px;
    z-index: 15;
    background-image: url("assets/consumable/coin.gif");
    background-size: 50px 50px;
    opacity: .9;
}

.coin2 {
    position: absolute;
    width: 50px;
    height: 50px;
    z-index: 15;
    background-image: url("assets/consumable/coin.gif");
    background-size: 50px 50px;
    opacity: .9;
}



.paused {
    animation-play-state: paused;
}

input[type="submit" i] {
    appearance: auto;
    user-select: none;
    white-space: pre;
    align-items: flex-start;
    text-align: center;
    cursor: default;
    box-sizing: border-box;
    background-color: rgba(123, 78, 58, 0.85);
    color: #ffede1;
    padding: 5px;
    border-width: 0px;
    border-style: none;
    border-image: initial;
}

